io.vertx.rxjava.ext.auth.oauth2.providers

## Class SalesforceAuth

- java.lang.Object
- - io.vertx.rxjava.ext.auth.oauth2.providers.OpenIDConnectAuth
  - - io.vertx.rxjava.ext.auth.oauth2.providers.SalesforceAuth

-     public class SalesforceAuth
      extends OpenIDConnectAuth

  Simplified factory to create an for Salesforce.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<SalesforceAuth>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SalesforceAuth(Object delegate)`
    `SalesforceAuth(SalesforceAuth delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret)` Create a OAuth2Auth provider for Salesforce
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret, HttpClientOptions httpClientOptions)` Create a OAuth2Auth provider for Salesforce
    `static void` | `discover(Vertx vertx, OAuth2Options config)` Create a OAuth2Auth provider for OpenID Connect Discovery.
    `static void` | `discover(Vertx vertx, OAuth2Options config, Handler<AsyncResult<OAuth2Auth>> handler)` Create a OAuth2Auth provider for OpenID Connect Discovery.
    `boolean` | `equals(Object o)`
    `SalesforceAuth` | `getDelegate()`
    `int` | `hashCode()`
    `static SalesforceAuth` | `newInstance(SalesforceAuth arg)`
    `static Single<OAuth2Auth>` | `rxDiscover(Vertx vertx, OAuth2Options config)` Create a OAuth2Auth provider for OpenID Connect Discovery.
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava.ext.auth.oauth2.providers.OpenIDConnectAuth

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<SalesforceAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### SalesforceAuth

          public SalesforceAuth(SalesforceAuth delegate)

    - #### SalesforceAuth

          public SalesforceAuth(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `OpenIDConnectAuth`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `OpenIDConnectAuth`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `OpenIDConnectAuth`

    - #### getDelegate

          public SalesforceAuth getDelegate()

      Overrides:
        `getDelegate` in class `OpenIDConnectAuth`

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret)

      Create a OAuth2Auth provider for Salesforce
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by Salesforce
        `clientSecret` - the client secret given to you by Salesforce
      Returns:

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret,
                                          HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for Salesforce
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by Salesforce
        `clientSecret` - the client secret given to you by Salesforce
        `httpClientOptions` - custom http client options
      Returns:

    - #### discover

          public static void discover(Vertx vertx,
                                      OAuth2Options config,
                                      Handler<AsyncResult<OAuth2Auth>> handler)

      Create a OAuth2Auth provider for OpenID Connect Discovery. The discovery will use the default site in the configuration options and attempt to load the well known descriptor. If a site is provided (for example when running on a custom instance) that site will be used to do the lookup.

      If the discovered config includes a json web key url, it will be also fetched and the JWKs will be loaded into the OAuth provider so tokens can be decoded.

      Parameters:
        `vertx` - the vertx instance
        `config` - the initial config
        `handler` - the instantiated Oauth2 provider instance handler

    - #### discover

          public static void discover(Vertx vertx,
                                      OAuth2Options config)

      Create a OAuth2Auth provider for OpenID Connect Discovery. The discovery will use the default site in the configuration options and attempt to load the well known descriptor. If a site is provided (for example when running on a custom instance) that site will be used to do the lookup.

      If the discovered config includes a json web key url, it will be also fetched and the JWKs will be loaded into the OAuth provider so tokens can be decoded.

      Parameters:
        `vertx` - the vertx instance
        `config` - the initial config

    - #### rxDiscover

          public static Single<OAuth2Auth> rxDiscover(Vertx vertx,
                                                      OAuth2Options config)

      Create a OAuth2Auth provider for OpenID Connect Discovery. The discovery will use the default site in the configuration options and attempt to load the well known descriptor. If a site is provided (for example when running on a custom instance) that site will be used to do the lookup.

      If the discovered config includes a json web key url, it will be also fetched and the JWKs will be loaded into the OAuth provider so tokens can be decoded.

      Parameters:
        `vertx` - the vertx instance
        `config` - the initial config
      Returns:

    - #### newInstance

          public static SalesforceAuth newInstance(SalesforceAuth arg)

Copyright © 2021 Eclipse. All rights reserved.